fop 1.1

## org.apache.fop.render.bitmap
Class TIFFRendererMaker

    java.lang.Object
      org.apache.fop.render.AbstractRendererMaker
          org.apache.fop.render.bitmap.TIFFRendererMaker

    public class TIFFRendererMaker

extends AbstractRendererMaker

RendererMaker for the TIFF Renderer.

Constructor Summary
`TIFFRendererMaker()`

Method Summary
`RendererConfigurator` `getConfigurator(FOUserAgent userAgent)` Returns a renderer config object that can be used to configure the renderer.
`java.lang.String[]` `getSupportedMimeTypes()`
`Renderer` `makeRenderer(FOUserAgent userAgent)` Instantiates a new renderer.
`boolean` `needsOutputStream()`

Methods inherited from class org.apache.fop.render.AbstractRendererMaker
`isMimeTypeSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TIFFRendererMaker

    public TIFFRendererMaker()

Method Detail

### makeRenderer

    public Renderer makeRenderer(FOUserAgent userAgent)

  Instantiates a new renderer.

  Specified by:
    `makeRenderer` in class `AbstractRendererMaker`
  Parameters:
    `userAgent` - the user agent
  Returns:
    the newly instantiated renderer

### getConfigurator

    public RendererConfigurator getConfigurator(FOUserAgent userAgent)

  Returns a renderer config object that can be used to configure the renderer.

  Overrides:
    `getConfigurator` in class `AbstractRendererMaker`
  Parameters:
    `userAgent` - user agent
  Returns:
    a config object that can be used to configure the renderer

### needsOutputStream

    public boolean needsOutputStream()

  Specified by:
    `needsOutputStream` in class `AbstractRendererMaker`
  Returns:
    Indicates whether this renderer requires an OutputStream to work with.

### getSupportedMimeTypes

    public java.lang.String[] getSupportedMimeTypes()

  Specified by:
    `getSupportedMimeTypes` in class `AbstractRendererMaker`
  Returns:
    an array of MIME types the renderer supports.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.